using GiraffeRoller.entities.Controllers;
using GiraffeRoller.Utility;
using Otter;

namespace GiraffeRoller
{
    class Program
    {
        static void Main(string[] args)
        {
            Global.GAME = new Game("Giraffe Roller", 720, 480);
            Global.GAME.MouseVisible = true;
            Global.GAME.SetWindow(1440, 960);
            Global.GAME.WindowX = 420;
            Global.GAME.WindowY = 10;
            Global.GAME.EnableQuitButton = false;//ah HA now esc can't close the game... YET! (i get to determine when the game closes now)
            Session app = Global.PlayerSession = Global.GAME.AddSession("Player");
            Session pp = Global.PausePersonSession = Global.GAME.AddSession("PausePerson");
            //start the controllers here so we have access to them.
            new Controllers();
            //import player saved data
            app.Data.Import();
            pp.Data.Import();
            SetControllerInputs.SetController(app, pp);
            app.Data.Export();
            pp.Data.Export();
            //initiate SOUND!
            new SoundManager();

            //testing (get rid of these after testing...
            //Global.StuckInLoop = true;//testing

            //Global.GAME.FirstScene = new scenes.WinScreen();
            //Global.GAME.FirstScene = new scenes.Levels.Base(Global.MW / 2, Global.MH / 2);
            Global.GAME.FirstScene = new scenes.TitleScreen();//This is the normal first load. <--- uncomment it when ready to full test and launch.
            Global.GAME.Start();
        }
    }
}
